<ui:composition xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:rich="http://richfaces.org/rich" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml">
    <rich:dataTable var="tsi" value="#{tpi.testStepInstance}" id="tabresid" rowKeyVar="rowNumber"
                    rowClasses="ti-row1, ti-row1, ti-row1, ti-row2, ti-row2, ti-row2" rows="15">
        <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Identifier']}</ui:define>
            <h:outputText value="#{tsi.parentTestStep.identifier}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.SequenceId']}</ui:define>
            <h:outputText value="#{tsi.parentTestStep.seqid}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.TransactionType']}</ui:define>
            <h:outputText value="#{tsi.parentTestStep.transactionType.value()}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['gazelle.xca.initgw.Status']}</ui:define>
            <s:span styleClass="fa fa-clock-o" rendered="#{tsi.status.value.equals('CREATED')}"/>
            <s:span styleClass="gzl-icon-ajax-loading" rendered="#{tsi.status.value.equals('STARTED')}"/>
            <s:span styleClass="gzl-icon-checked" rendered="#{tsi.status.value.equals('ENDED')}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Result']}</ui:define>
            <s:span styleClass="gzl-icon-checked" rendered="#{tsi.result.value.equals('PASSED')}"/>
            <s:span styleClass="gzl-icon-times" rendered="#{tsi.result.value.equals('FAILED')}"/>
            <s:span styleClass="gzl-icon-forward" rendered="#{tsi.result.value.equals('SKIPPED')}"/>
            <s:span styleClass="fa fa-question-circle" rendered="#{tsi.result.value.equals('UNKNOWN')}"/>

        </g:column>
        <rich:column breakRowBefore="true" colspan="5">
            <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Description_4']} " style="font-weight:bold;"/>
            <h:outputText value="#{tsi.parentTestStep.description}"/>
        </rich:column>
        <rich:column breakRowBefore="true" colspan="5" rendered="#{tsi.abstractMessage.size() &gt; 0}">
            <rich:dataTable var="currentMessage" value="#{tsi.abstractMessage}">
                <g:column>
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.TimeStamp']}</ui:define>
                    <h:outputText value="#{currentMessage.timeStamp}">
                        <s:convertDateTime dateStyle="full" type="both"/>
                    </h:outputText>
                </g:column>
                <g:column>
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Transaction_2']}</ui:define>
                    <h:outputText value="#{currentMessage.transaction.keyword}"/>
                </g:column>
                <g:column>
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.AffinityDomain']}</ui:define>
                    <h:outputText value="#{currentMessage.affinityDomain.labelToDisplay}"/>
                </g:column>
                <g:column>
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.MessageType_2']}</ui:define>
                    <h:outputText value="#{currentMessage.messageType}"/>
                </g:column>
                <g:column>
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.ResponseCode']}</ui:define>
                    <h:outputText value="#{currentMessage.responseCode}"/>
                </g:column>
                <g:column>
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Responder']}</ui:define>
                    <h:outputText>#{currentMessage.configuration.name}</h:outputText>
                </g:column>
                <g:column>
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Request']}</ui:define>
                    <s:div rendered="#{(currentMessage.sentMessageContent != null)}">
                        <h:panelGrid columns="3">
                            <s:div rendered="#{currentMessage.sentMessageContent.validationResult == null}">
                                <a4j:commandLink
                                        title="#{messages['net.ihe.gazelle.xdstar.Validate']}"
                                        actionListener="#{allMessageManagerBean.selectAndValidate(currentMessage, 'Request')}"
                                        oncomplete="jq162('#validationPanel').modal('show');"
                                        execute="@this"
                                        render="validationPanelDiv,tabresid">
                                    <span class="gzl-icon-forward"/>
                                </a4j:commandLink>
                            </s:div>
                            <s:div rendered="#{currentMessage.sentMessageContent.validationResult != null}">
                                <a4j:commandLink
                                        actionListener="#{allMessageManagerBean.setSelectedMessageAndPanel(currentMessage, 'Request')}"
                                        oncomplete="jq162('#validationPanel').modal('show');"
                                        execute="@this"
                                        rendered="#{!currentMessage.sentMessageContent.validationResult}"
                                        render="validationPanelDiv">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                                <a4j:commandLink
                                        actionListener="#{allMessageManagerBean.setSelectedMessageAndPanel(currentMessage, 'Request')}"
                                        oncomplete="jq162('#validationPanel').modal('show');"
                                        execute="@this"
                                        rendered="#{currentMessage.sentMessageContent.validationResult}"
                                        render="validationPanelDiv">
                                    <span class="gzl-icon-checked"/>
                                </a4j:commandLink>
                            </s:div>
                            <gdk:spacer width="5px"/>
                            <h:outputText value="#{currentMessage.sentMessageContent.messageType.value}"/>
                        </h:panelGrid>
                    </s:div>
                </g:column>
                <g:column>
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Response']}</ui:define>
                    <s:div rendered="#{(currentMessage.sentMessageContent != null)}">
                        <h:panelGrid columns="3">
                            <s:div rendered="#{currentMessage.receivedMessageContent.validationResult == null}">
                                <a4j:commandLink
                                        title="#{messages['net.ihe.gazelle.xdstar.Validate']}"
                                        actionListener="#{allMessageManagerBean.selectAndValidate(currentMessage, 'Response')}"
                                        oncomplete="jq162('#validationPanel').modal('show');"
                                        execute="@this"
                                        render="validationPanelDiv,tabresid">
                                    <span class="gzl-icon-forward"/>
                                </a4j:commandLink>
                            </s:div>
                            <s:div rendered="#{currentMessage.receivedMessageContent.validationResult != null}">
                                <a4j:commandLink
                                        actionListener="#{allMessageManagerBean.setSelectedMessageAndPanel(currentMessage, 'Response')}"
                                        oncomplete="jq162('#validationPanel').modal('show');"
                                        execute="@this"
                                        rendered="#{!currentMessage.sentMessageContent.validationResult}"
                                        render="validationPanelDiv">
                                    <span class="gzl-icon-times"/>
                                </a4j:commandLink>
                                <a4j:commandLink
                                        actionListener="#{allMessageManagerBean.setSelectedMessageAndPanel(currentMessage, 'Response')}"
                                        oncomplete="jq162('#validationPanel').modal('show');"
                                        execute="@this"
                                        rendered="#{currentMessage.sentMessageContent.validationResult}"
                                        render="validationPanelDiv">
                                    <span class="gzl-icon-checked"/>
                                </a4j:commandLink>
                            </s:div>
                            <gdk:spacer width="5px"/>
                            <h:outputText value="#{currentMessage.receivedMessageContent.messageType.value}"/>
                        </h:panelGrid>
                    </s:div>
                </g:column>
                <g:column id="validate">
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Action']}</ui:define>
                    <a4j:commandLink actionListener="#{allMessageManagerBean.selectMessageToDisplayAndInitPanel(currentMessage)}"
                                     oncomplete="jq162('#modalPanel').modal('show');" execute="@this"
                                     render="modalPanelDiv">
                        <s:span id="viewActionImage" styleClass="gzl-icon-search"/>
                    </a4j:commandLink>
                    <gdk:spacer width="15"/>
                    <a4j:commandLink actionListener="#{allMessageManagerBean.selectAndValidate(currentMessage, 'Request')}"
                                     oncomplete="jq162('#validationPanel').modal('show');"
                                     execute="@this" render="validationPanelDiv,tabresid">
                        <s:span id="validateActionImage" styleClass="gzl-icon-play-black"/>
                    </a4j:commandLink>
                </g:column>
            </rich:dataTable>
        </rich:column>
    </rich:dataTable>
</ui:composition>
